Skip to main content
GET
/
api
/
datasets
/
summaries
List Dataset Summaries
curl --request GET \
  --url https://api.example.com/api/datasets/summaries \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "type": "<string>",
      "size_bytes": 123,
      "created_at": "<string>",
      "updated_at": "<string>",
      "last_scan_at": "<string>",
      "vulnerabilities": 123,
      "vulnerability_types": "<string>",
      "scan_error": "<string>",
      "branch_name": "main",
      "is_main_branch": true,
      "branch_family_uuid": "<string>",
      "source_branch_uuid": "<string>",
      "branch_origin": "<string>",
      "branch_count": 1,
      "owner_id": 123,
      "permissions": {
        "view": {
          "users": [
            123
          ],
          "roles": [
            "<string>"
          ]
        },
        "edit": {
          "users": [
            123
          ],
          "roles": [
            "<string>"
          ]
        }
      },
      "can_edit": false,
      "scans": [
        {
          "id": "<string>",
          "scan_type": "<string>",
          "dataset_dir": "<string>",
          "params": {},
          "status": "<string>",
          "progress": 123,
          "message": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "dataset_id": "<string>",
          "dataset_name": "<string>",
          "engine_params": {},
          "started_at": "<string>",
          "finished_at": "<string>",
          "duration_seconds": 123,
          "total_issues": 0,
          "critical_count": 0,
          "high_count": 0,
          "medium_count": 0,
          "low_count": 0
        }
      ],
      "valid_images": 123,
      "invalid_images": 123,
      "document_count": 123,
      "class_count": 123,
      "classes": [
        "<string>"
      ],
      "image_specificity": "fine",
      "active_scan_progress": 123,
      "active_scan_elapsed_seconds": 123,
      "active_scan_message": "<string>",
      "active_scan_started_at": "<string>",
      "active_scan_id": "<string>",
      "active_scan_status": "<string>",
      "active_scan_type": "<string>",
      "issue_type": "<string>",
      "webhook_url": "<string>",
      "repo_url": "<string>",
      "repo_requires_auth": true,
      "has_repo_access_token": false,
      "webhook_on_complete": false,
      "webhook_on_failure": false,
      "queued_scan_count": 0,
      "issue_counts": {
        "mislabel": 0,
        "poison": 0,
        "outlier": 0,
        "bias": 0,
        "shortcut": 0,
        "flagged": 0
      },
      "latest_mislabel_scan_id": "<string>",
      "processing": false,
      "processed_3d": true,
      "import_job_id": "<string>",
      "import_provider": "<string>",
      "import_status": "<string>",
      "import_progress": 123,
      "import_message": "<string>",
      "import_error": "<string>",
      "import_cancel_requested": false,
      "import_updated_at": "<string>",
      "import_has_stored_credentials": false,
      "import_can_retry": false,
      "dense_branch_build": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Query Parameters

q
string | null
include_branches
boolean
default:false

Include non-main branch datasets in the response.

Cookies

antidote_session
string | null

Response

Successful Response

data
DatasetOut · object[]